searchNodes=[{"ref":"SPARQL.Client.html","title":"SPARQL.Client","type":"module","doc":"A SPARQL protocol client. The SPARQL Protocol consists of two HTTP operations: a query operation for performing SPARQL 1.0 and 1.1 Query Language queries an update operation for performing SPARQL Update Language requests, which is not implemented yet"},{"ref":"SPARQL.Client.html#query/3","title":"SPARQL.Client.query/3","type":"function","doc":"The query operation is used to send a SPARQL query to a service endpoint and receive the results of the query. The query can either be given as string or as an already parsed SPARQL.Query. with %SPARQL.Query{} = query &lt;- SPARQL.Query.new(&quot;SELECT * WHERE { ?s ?p ?o }&quot;) do SPARQL.Client.query(query, &quot;http://dbpedia.org/sparql&quot;) end The type of the result returned depends on the query form: SELECT queries will return a SPARQL.Query.ResultSet struct with a list of SPARQL.Query.Result structs in the results field. ASK queries will return a SPARQL.Query.ResultSet struct with the boolean result in the results field CONSTRUCT and DESCRIBE queries will return an RDF data structure Specifying the request method The SPARQL 1.1 protocol spec defines three methods to perform a SPARQL query operation via HTTP, which can be specified via the request_method and protocol_version options: query via GET: by setting the options as request_method: :get and protocol_version: &quot;1.1&quot; query via URL-encoded POST: by setting the options as request_method: :post and protocol_version: &quot;1.0&quot; query via POST directly: by setting the options as request_method: :post and protocol_version: &quot;1.1&quot; In order to work with SPARQL 1.0 services out-of-the-box the second method, query via URL-encoded POST, is the default. To perform previous query via GET, you would have to call it like this: SPARQL.Client.query(query, &quot;http://dbpedia.org/sparql&quot;, request_method: :get, protocol_version: &quot;1.1&quot;) Specifying custom headers You can specify custom headers for the HTTP request to the SPARQL service with the headers option and a map. SPARQL.Client.query(query, &quot;http://some.company.org/private/sparql&quot;, headers: %{&quot;Authorization&quot; =&gt; &quot;Basic XXX==&quot;}) Specifying the response format The SPARQL.Client can handle all of the specified result formats for SPARQL tuple results (JSON, XML, CSV and TSV) and for CONSTRUCT and DESCRIBE queries all RDF serialization formats supported by RDF.ex can be handled. If no custom Accept header is specified, all accepted formats for the resp. query form will be set automatically, with JSON being the preferred format for SELECT and ASK queries Turtle being the preferred format for CONSTRUCT and DESCRIBE queries Although the returned result is mostly independent from the actually returned response format from the service, you might want to set it manually with the result_format and the name of the format SPARQL.Client.query(query, &quot;http://some.company.org/private/sparql&quot;, result_format: :xml) These are the names of the supported formats: tuple result formats: :json, :xml, :csv, :tsv RDF result formats: :turtle, :ntriples, :nquads, :jsonld When a result_format is specified the Accept header is set to the corresponding media type. You might however still want to overwrite the Accept header, for example when a SPARQL service uses a non-standard media type for a format. Note that, when providing a custom non-standard Accept header the result_format option is mandatory. Specifying an RDF Dataset The RDF dataset to be queried can be specified as described in the spec via the the default_graph and named_graph options and either a single dataset names or lists of datasets. SPARQL.Client.query(query, &quot;http://some.company.org/private/sparql&quot;, default_graph: &quot;http://www.example/sparql/&quot;, named_graph: [ &quot;http://www.other.example/sparql/&quot;, &quot;http://www.another.example/sparql/&quot; ]) Other options max_redirects: the number of redirects to follow before the operation fails (default: 5) request_opts: will be passed as the opts option value to the Tesla.request/2 function, this allows for example to set the timeout value for the Hackney adapter like this: SPARQL.Client.query(query, &quot;http://example.com/sparql&quot;, request_opts: [adapter: [recv_timeout: 30_000]]) For a general introduction you may refer to the guides on the homepage."},{"ref":"SPARQL.Client.html#t:option/0","title":"SPARQL.Client.option/0","type":"type","doc":""},{"ref":"changelog.html","title":"Change Log","type":"extras","doc":"Change Log All notable changes to this project will be documented in this file. This project adheres to Semantic Versioning and Keep a CHANGELOG."},{"ref":"changelog.html#v0-2-2-2019-05-22","title":"Change Log - v0.2.2 - 2019-05-22","type":"extras","doc":"Added the request_opts options to SPARQL.Client.query/3 which will be passed as the opts option value to the Tesla.request/2 function Compare v0.2.1...v0.2.2"},{"ref":"changelog.html#v0-2-1-2018-09-17","title":"Change Log - v0.2.1 - 2018-09-17","type":"extras","doc":"Fixed Update to SPARQL.ex 0.2.1 whose Hex package no longer contains Erlang output files of Leex and Yecc, which caused issues using the SPARQL.ex Hex package on OTP &lt; 21 (because the package was released with OTP 21) Compare v0.2.0...v0.2.1"},{"ref":"changelog.html#v0-2-0-2018-09-17","title":"Change Log - v0.2.0 - 2018-09-17","type":"extras","doc":"Changed adapt to new query result representation in SPARQL.ex 0.2 Elixir versions &lt; 1.6 are no longer supported (as a consequence of upgrading to the latest versions of RDF.ex and SPARQL.ex) Compare v0.1.1...v0.2.0"},{"ref":"changelog.html#v0-1-1-2018-08-21","title":"Change Log - v0.1.1 - 2018-08-21","type":"extras","doc":"Upgrade to Tesla 1.1 Compare v0.1.0...v0.1.1"},{"ref":"changelog.html#v0-1-0-2018-03-19","title":"Change Log - v0.1.0 - 2018-03-19","type":"extras","doc":"Initial release"}]